/Users/bernard/b20/bsoft/tcltk/bshow_magnify.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_magnify.tcl - Procedures for rendering the magnifying window in Bshow.

SYNOPSIS

  Functions
Magnify x y
Window to show a region magnified.
drawCross c lx ly
updateMagnify x y currSlice updatesource
Updates the magnifying window.
drawMagBox id ptx pty ptz
Draws a box in the magnification window.
drawMagMarker id ptx pty ptz
Draws a marker in the magnification window.
drawMagSphere x y z ptx pty ptz rad col width lbl tag
drawMagLine xs ys zs xe ye ze ptx pty ptz width col tag
changeSlice deltaslice
updateSlicer aniaxis anidirection
animateSlices
check_length newstring max_length

Detailed Description

Procedures for rendering the magnifying window in Bshow.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20161102

Definition in file bshow_magnify.tcl.

Function Documentation

  animateSlices

Definition at line 744 of file bshow_magnify.tcl.

  changeSlicedeltaslice

Definition at line 711 of file bshow_magnify.tcl.

  check_lengthnewstring max_length

Definition at line 807 of file bshow_magnify.tcl.

  drawCrossc lx ly

Definition at line 143 of file bshow_magnify.tcl.

  drawMagBoxid ptx pty ptz

Draws a box in the magnification window.

Parameters:
    id Box identifier.
    ptx
    pty Coordinates within the image.
    ptz Current slice (defaults to main window's slice unless animating)

Definition at line 304 of file bshow_magnify.tcl.

  drawMagLinexs ys zs xe ye ze ptx pty ptz width col tag

Definition at line 631 of file bshow_magnify.tcl.

  drawMagMarkerid ptx pty ptz

Draws a marker in the magnification window.

Parameters:
    id Marker identifier.
    ptx
    pty Coordinates within the image.
    ptz Current slice (defaults to main window's slice unless animating)

Definition at line 434 of file bshow_magnify.tcl.

  drawMagSpherex y z ptx pty ptz rad col width lbl tag

Definition at line 543 of file bshow_magnify.tcl.

  Magnifyx y

Window to show a region magnified.

Parameters:
    x
    y Coordinates on the canvas.

Definition at line 22 of file bshow_magnify.tcl.

  updateMagnifyx y currSlice updatesource

Updates the magnifying window.

Parameters:
    x
    y Coordinates within the image.
    currSlice Current slice (defaults to main window's slice unless animating)
    updatesource Procedure calling update (mouse or slicer)

Definition at line 155 of file bshow_magnify.tcl.

  updateSliceraniaxis anidirection

Definition at line 724 of file bshow_magnify.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.